Bug 121686 - prelink-0.3.1-2 causing httpd-2.0.49-2 to crash
prelink-0.3.1-2 causing httpd-2.0.49-2 to crash
Product: Red Hat Raw Hide
Classification: Retired
Component: prelink (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-04-25 13:56 EDT by Jonathan Kamens
Modified: 2007-04-18 13:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-03 03:38:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2004-04-25 13:56:00 EDT
Since I upgraded to prelink-0.3.1-2 on April 20, httpd has crashed
during the cron.daily run several times.  Some, but not all, of the
times it has logged these messages before crashing:

[Thu Apr 22 04:03:38 2004] [notice] Graceful restart requested, doing
[Thu Apr 22 04:03:40 2004] [notice] seg fault or similar nasty error
detected in the parent process

The daily logrotate happens around the same time, but I last upgraded
logrotate on February 24, and the problem didn't start happening until
I upgraded prelink, so I don't think logrotate is the problem.

I last upgraded httpd on April 8, so I *suppose* it's possible that
httpd is at fault, especially given the changelog entries for
httpd-2.0.49-2, but it's hard to say that for certain, given that like
I said, the problems didn't crop up until I upgraded prelink.
Comment 1 Jakub Jelinek 2004-05-03 08:38:36 EDT
Have you tried prelink -u'ing (after making a backup copy of the binary)
/usr/*bin/httpd and seeing if the segfault goes away?
Comment 2 Jonathan Kamens 2004-05-03 11:17:23 EDT
I don't think I understand your question.  The issue is not that 
prelink has corrupted the httpd binary and thus caused persistent 
segfaults.  The issue, I believe, is that each time prelink runs and 
modifies either httpd or one of its dependencies (I don't know 
which), one segfault happens a result, but that same segfault doesn't 
happen again unless prelink again modifies httpd or one of its 

In short, the problem is related to the change in state caused by 
prelinking, not to the changes made by prelinking, so prelink -u 
won't test or prove anything about it.
Comment 3 Bill Nottingham 2006-08-07 22:04:22 EDT
'Red Hat Raw Hide' refers to the development tree for Red Hat Linux.
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at

Red Hat apologizes that these issues were not resolved in a more
timely manner. However, we do want to make sure that important 
don't slip through the cracks. If these issues are still present
in a current release, such as Fedora Core 5, please move these
bugs to that product and version. Note that any remaining Red Hat
Raw Hide bugs will be closed as 'CANTFIX' on September 30, 2006.
Thanks again for your help.
Comment 4 Jonathan Kamens 2006-09-03 03:38:24 EDT
Not happening for me anymore.

Note You need to log in before you can comment on or make changes to this bug.